#include "dht22.h"
#include "dhtxx.h"

static int tempC, humidity;

// Initializare citire senzor
void dht22Init()
{
    dhtxxread(DHTXX_DHT22, &DHT22_PORT, &DHT22_DDR,
        &DHT22_PIN, (1 << PD4), &tempC, &humidity);
}

// Obtinerea temperaurii in grade Celsius
int dht22Temp()
{
    return tempC;
}

int dht22Humidity()
{
    return humidity;
}
